Get wallet capabilities
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me/wallet_getCapabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/wallet_getCapabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/wallet_getCapabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"0x1": {
"paymasterService": {
"supported": true
}
},
"0x89": {
"paymasterService": {
"supported": true
}
}
}
Wallet
Get wallet capabilities
Returns the EIP-5792 wallet capabilities for the client. If the client uses account abstraction, returns the supported capabilities (e.g. paymaster service) keyed by hex chain ID. Returns an empty object if account abstraction is not enabled.
GET
/
clients
/
me
/
wallet_getCapabilities
Get wallet capabilities
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Response
Wallet capabilities retrieved successfully
EIP-5792 wallet capabilities keyed by hex chain ID (e.g. "0x1").
Returns an empty object if account abstraction is not enabled.
Show child attributes
Show child attributes
Was this page helpful?
⌘I